/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMWindow_H___INT_
#define __GdomDOMWindow_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMWindow.h"
namespace WebCore {
    gpointer toGDOM(DOMWindow* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMWindow : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_WINDOW; }
    GDOMDOMWindow(PassRefPtr<WebCore::DOMWindow> impl);
    virtual ~GDOMDOMWindow();
    WebCore::DOMWindow* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMWindow> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMWindow_H___INT_*/
